Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.hibernate
Class HibernateForm<T>

    java.lang.Object
      hibergui.Component<T>
          hibergui.Form<T>
              hibergui.hibernate.HibernateForm<T>

    public abstract class HibernateForm<T>

extends Form<T>

Author:
  espakm TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`protected org.hibernate.Session` | `session`
`protected org.hibernate.Transaction` | `tx`

Fields inherited from class hibergui.Form
`fieldEditors, persistentClass`

Fields inherited from class hibergui.Component
`lsn_WIDGET_FOCUS, lsn_WIDGET_KEY, style`

Constructor Summary
`HibernateForm(org.eclipse.swt.widgets.Composite parent, int style)`

Method Summary
`void` | `commit()` Commits the recent changes on the storage.
`protected org.hibernate.Criteria` | `createCriteria()`
`protected org.hibernate.Criteria` | `createCriteriaByExample()`
`org.hibernate.criterion.Example` | `createExample(java.lang.Object sample)`
`protected void` | `delete(T object)` Deletes the business entity from the storage.
`protected java.util.List<T>` | `findSuch()` Finds business entities similar to the entity extracted from the form.
`org.hibernate.Session` | `getSession()`
`protected void` | `init()` Initializes the component.
`void` | `refresh()` Refreshes the form.
`void` | `rollback()` Rolls back the recent changes on the storage.
`protected void` | `save(T object)` Saves the business entity onto the storage.
`protected void` | `update(T object)` Updates the business entity on the storage.

Methods inherited from class hibergui.Form
`addColumn, addMessageListener, apply, create, createButtons, createColumnsForTable, createContents, createFields, createTable, delete, dispose, extract, extract, fill, fill, get, getColumnText, getSelection, getSortDirection, getSortProperty, hasChanged, isDirty, isSearchMode, modify, refreshSelector, removeMessageListener, revoke, set, setFocus, setMessage, setMessage, setSearchMode, setWindowTitle, verify`

Methods inherited from class hibergui.Component
`addChangeListener, addControlListener, addFocusListener, addKeyListener, fireChange, fireKeyPressed, fireKeyReleased, getControl, removeChangeListener, removeControlListener, removeFocusListener, removeKeyListener, setLayoutData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    protected org.hibernate.Session session

### tx

    protected org.hibernate.Transaction tx

Constructor Detail

### HibernateForm

    public HibernateForm(org.eclipse.swt.widgets.Composite parent,
                         int style)

Method Detail

### init

    protected void init()

  Description copied from class: `Component`
  Initializes the component. Initialization is done before creating the GUI contents of the component.

  Overrides:
    `init` in class `Form<T>`

### getSession

    public org.hibernate.Session getSession()

### commit

    public void commit()

  Description copied from class: `Form`
  Commits the recent changes on the storage.

  Specified by:
    `commit` in class `Form<T>`

### rollback

    public void rollback()

  Description copied from class: `Form`
  Rolls back the recent changes on the storage.

  Specified by:
    `rollback` in class `Form<T>`

### save

    protected void save(T object)

  Description copied from class: `Form`
  Saves the business entity onto the storage.

  Specified by:
    `save` in class `Form<T>`
  Parameters:
    `object` - the business entity to be saved

### update

    protected void update(T object)

  Description copied from class: `Form`
  Updates the business entity on the storage.

  Specified by:
    `update` in class `Form<T>`
  Parameters:
    `object` - the business entity to be updated

### delete

    protected void delete(T object)

  Description copied from class: `Form`
  Deletes the business entity from the storage.

  Specified by:
    `delete` in class `Form<T>`
  Parameters:
    `object` - the business entity to be deleted

### refresh

    public void refresh()

  Description copied from class: `Form`
  Refreshes the form. If the form has an actual entity, edits will be filled by its properties. Otherwise, edits will be cleared. In search mode the selector table will also be refreshed.

  Overrides:
    `refresh` in class `Form<T>`

### findSuch

    protected java.util.List<T> findSuch()

  Description copied from class: `Form`
  Finds business entities similar to the entity extracted from the form.

  Specified by:
    `findSuch` in class `Form<T>`
  Returns:

### createCriteria

    protected org.hibernate.Criteria createCriteria()

### createCriteriaByExample

    protected org.hibernate.Criteria createCriteriaByExample()

### createExample

    public org.hibernate.criterion.Example createExample(java.lang.Object sample)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD